Share via


Registration Secret - Create

Create Alternative Secret for the ADO OAuth App Registration

POST https://vssps.dev.azure.com/_apis/delegatedauth/registrationsecret/{registrationId}?api-version=7.2-preview.2

URI Parameters

Name In Required Type Description
registrationId
path True

string (uuid)

The registration id of the ADO OAuth App Registration

api-version
query True

string

Version of the API to use. This should be set to '7.2-preview.2' to use this version of the api.

Responses

Name Type Description
200 OK

JsonWebToken

successful operation

Security

EntraOAuth

OAuth access token. Learn how to acquire an OAuth access token using Entra.

Type: oauth2
Flow: accessCode
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize
Token URL: https://login.microsoftonline.com/common/oauth2/token

Scopes

Name Description
vso.tokens Grants the ability to manage delegated authorization tokens to users

Definitions

JsonWebToken

Name Type Description
isAuthenticated

boolean

properties

object